Fri Nov  4 14:52:56 CET 2011  chambart@crans.org
  tagged 2.3.2

Fri Nov  4 14:52:20 CET 2011  chambart@crans.org
  * Update CHANGES and version

Fri Oct 28 23:29:41 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * explain that one need to call Lwt_main.run in a Lwt program in the manual

Mon Oct 10 17:22:32 CEST 2011  gregoire.henry@pps.jussieu.fr
  * Doc: add menu.wiki

Thu Sep 22 14:33:38 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * use a monospace font in the gtk example

Thu Sep 22 14:28:18 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * add a gtk example

Thu Sep 22 12:57:56 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * make the documentation of Lwt_glib more explicit

Wed Sep 21 14:26:02 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_glib.wakeup

Wed Sep 21 02:05:29 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * acquire the context in Lwt_glib.iter

Wed Sep 21 01:04:31 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix compilation of lwt.glib with msvc

Tue Sep 20 23:43:07 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix compilation of lwt.glib on windows

Tue Sep 20 23:22:49 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_glib.iter

Mon Sep 19 23:29:12 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix Lwt_unix.connect on Windows

Mon Sep 19 23:26:13 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix the use of socket on Windows
  
  Testing whether a file descriptor is a socket with Unix.fstat does not
  work on Windows:
  
  # let sock = Unix.socket Unix.PF_INET Unix.SOCK_STREAM 0;;
  val sock : Unix.file_descr = <abstr>
  # Unix.fstat sock;;
  val Unix.stats = { Unix.st_kind = Unix.S_REG; ...

Mon Sep 19 21:49:48 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * cleanup examples

Mon Sep 19 19:27:42 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * do not use pthread on windows

Mon Sep 19 16:12:18 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix compilation with msvc tools
  
  The Microsoft compiler does not allow to mix variable definition and
  code.

Mon Sep 19 15:48:11 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * handle compilers that prints things on stdout in discover.ml

Thu Sep 15 15:28:05 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt.wrap

Thu Sep 15 14:23:35 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * make assert_lwt to work

Thu Sep 15 14:14:48 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * add the assert_lwt keyword in pa_lwt

Wed Sep  7 13:46:26 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * remove ev.h from glib stubs (not used)

Wed Sep  7 13:29:17 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * allow to compile without libev support

Mon Aug 22 21:49:31 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * add a note for compiling the toplevel

Mon Aug 22 21:25:23 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix compilation of lwt.text with ocaml >= 3.13

Mon Aug 15 22:44:08 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * add type annotations in Lwt_io for ocaml 3.13

Mon Aug 15 17:16:42 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * reset the job system after a fork

Mon Aug 15 16:10:28 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * cancel jobs after a fork

Mon Aug 15 10:31:16 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_io.flush_all

Mon Aug 15 10:31:00 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt.on_termination

Fri Aug 12 16:29:29 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_unix.reinstall_signal_handler

Wed Aug 10 19:06:06 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix ticket #169

Thu Aug  4 11:03:48 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * enable location in logs
  
  - allow loggers to get the current location through local storage
  - pass current location to logging functions
  - pass the current location with the syntax extension

Wed Aug  3 20:20:20 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * use a GADT for the type of channels with ocaml 3.13

Thu Jul 28 22:48:06 CEST 2011  Stephane Glondu <steph@glondu.net>
  * Avoid unused-but-set-variable GCC warning

Thu Jul 28 11:52:12 CEST 2011  chambart@crans.org
  * fix data corruption in Lwt_io.

Mon Jul 18 16:57:31 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix a race condition in Lwt_io

Wed Jul 13 19:05:38 CEST 2011  chambart@crans.org
  tagged 2.3.1

Wed Jul 13 19:03:50 CEST 2011  chambart@crans.org
  * update licence file (add text of BSD license)

Wed Jul 13 18:40:59 CEST 2011  chambart@crans.org
  * version 2.3.1

Wed Jul 13 18:38:40 CEST 2011  chambart@crans.org
  * update CHANGES

Wed Jul 13 18:30:27 CEST 2011  michaell.laporte@gmail.com
  * Add license in test/core files

Wed Jul 13 11:36:31 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * typo in the doc

Tue Jul 12 18:24:01 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * add a cancel test

Tue Jul 12 18:21:57 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * make Lwt.get_cancel tail-recursive

Tue Jul 12 16:39:02 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * implement union-find for cancel functions

Tue Jul 12 13:41:25 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix a recursive call in Lwt.cancel_and_nth_ready

Sat Jul  2 21:05:40 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * simplify setup.ml

Sat Jul  2 12:43:45 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * keep setup.ml for the customization

Thu Jun 30 16:43:24 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * update CHANGES

Thu Jun  9 13:25:57 CEST 2011  chambart@crans.org
  * rewrite Lwt_throttle

Thu Jun 30 15:58:44 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * do not use Lwt_engine.fake_io anymore in Lwt_unix

Thu Jun 30 15:54:02 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix Lwt_unix.abort

Fri Jun 24 21:06:12 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * use more Lwt.wakeup_later

Sat Jun 18 18:36:24 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * remove oasis files from the repository

Sat Jun 18 16:36:31 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * change the implementation of Lwt.wakeup_later{,_exn}

Sat Jun 18 16:17:56 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt.wakeup_later{,_exn} and use it in Lwt_mutex

Wed Jun 15 10:31:03 CEST 2011  Stephane Glondu <steph@glondu.net>
  * Fix link order in library detection test
  
  The wrong link order was causing a build failure on Ubuntu, where the
  linker is stricter.

Fri Jun 10 19:08:01 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix some size_t problems

Fri Jun 10 13:53:22 CEST 2011  Nicolas Dandrimont <Nicolas.Dandrimont@crans.org>
  * Use a dynamically-allocated buffer for readlink and gethostname
  
  This allows the use of readlink and gethostname on systems without a
  size limit on their return values (e.g. Hurd).

Tue May 31 20:18:09 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * use Lwt_unix.fork in Lwt_process and Lwt_daemon

Tue May 31 20:13:15 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * do not run exit hooks in the parent process when daemonizing

Mon May 30 16:48:16 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_unix.fork

Mon May 30 14:04:11 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * use oasis 0.2.1

Mon May 30 14:02:49 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * handle EINTR in the notification system

Fri May 27 09:45:37 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix compilation on hurd

Tue May 17 18:24:03 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * flush after displaying the message in the toplevel

Fri May 13 20:29:21 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * use a custom PRNG state for Lwt.choose and Lwt.pick

Thu May  5 18:19:10 CEST 2011  raphael proust
  * Added -lwt-sequence-strict option to syntax extension

Wed May  4 10:38:57 CEST 2011  raphael proust
  * typo in Lwt_log doc

Thu May  5 16:54:51 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * typo in the stubs for Lwt_unix.send_msg
  
  n_fds was not initialized correctly.

Mon Apr 25 20:12:42 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * allow to compile without fdatasync

Fri Apr 22 13:54:52 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_unix.{fsync,fdatasync}

Thu Apr 21 10:39:49 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * ensure that all events are cleared before closing a file descriptor

Wed Apr 20 08:46:54 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * 'make clean' in manual/ remove manual-wiki.tex

Mon Apr 18 21:38:26 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * do not remove manual-wiki.tex from the tarball

Tue Apr 12 17:03:02 CEST 2011  chambart@crans.org
  * Add link to download the pdf manual in the doc

Tue Apr 12 16:34:19 CEST 2011  chambart@crans.org
  * lift apiref-intro headers levels

Tue Apr 12 15:53:39 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  tagged 2.3.0

Tue Apr 12 15:53:23 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * version 2.3.0

Tue Apr 12 15:43:18 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * typo

Tue Apr 12 15:37:43 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * update CHANGES

Sun Apr 10 18:51:47 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix ocamldoc comment

Sat Apr  9 14:36:35 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * add match_lwt and while_lwt to the manual

Sat Apr  9 13:42:29 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * allow to add rules for logging levels in Lwt_log

Thu Apr  7 18:12:59 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * handle the case when eventfd is present at compilation time but not supported by the system

Thu Apr  7 17:32:50 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * register a printer for unix errors

Wed Apr  6 18:08:31 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * include Lwt_io.{LE/BE} into Lwt_io according to the system byte order

Sun Apr  3 00:37:37 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt.nchoose_split

Sat Apr  2 23:16:23 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * cleanup events when they are no more used in Lwt_unix

Sat Apr  2 18:01:55 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * handle "lwt ... = ... in ..." at toplevel in the syntax extension

Thu Mar 31 15:34:35 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * try to minimize the amount of calls to epoll_ctl by caching engine events

Thu Mar 31 12:10:41 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * make the notification system fork-proof

Tue Mar 29 15:54:53 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * add the >= 3.12 constraint in _oasis

Tue Mar 29 11:37:57 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix the syntax extension for while_lwt and match_lwt

Mon Mar 28 21:37:45 CEST 2011  Jeremie Dimino <jeremie@dimino.org>
  * allow to omit the pattern in logging rules
  
  So we can write LWT_LOG=debug instead of LWT_LOG='* -> debug'

Fri Mar 25 09:17:24 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * build and install cmxs

Tue Mar 22 16:00:57 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * copy Unix types into Lwt_unix
  
  This is for better detection of changes in Unix types since bindings
  depends on their representations.

Tue Mar 22 08:47:37 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * make the "push and GC" test to work in bytecode

Mon Mar 21 13:34:35 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * typo in the external for sendto

Wed Mar 16 11:44:20 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * add reporting functions

Tue Mar 15 17:14:25 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * replace Lwt_react.{E,S}.notify* by Lwt_react.{E,S}.keep

Fri Mar 11 11:18:15 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * add match_lwt and while_lwt to the syntax extension

Fri Mar 11 10:55:43 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * update the manual about lwt.react

Fri Mar 11 10:49:28 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * add lwt.syntax and lwt.syntax.log the the API documentation

Fri Mar 11 10:45:41 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * update apiref-intro for lwt.react

Thu Mar 10 17:54:52 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * reimplement Lwt_{event,signal} on top of Lwt_react

Thu Mar 10 16:21:53 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * add module Lwt_react
  
  - Reimplements React's Lwtised primitives in a simpler way.
  - Changes the API of signals, now map_s and co returns a thread instead
    of taking an initial value. The experience shows that it is more
    suitable.
  - Removes notify* functions and replaces them by always_notify* functions.
    Id are useless, it is sufficient to use directly signals and events instead.

Thu Mar 10 12:02:34 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt.on_{success,failure}

Thu Mar 10 11:57:00 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix local storage handling in Lwt.on_cancel

Thu Mar  3 21:59:43 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * remove "noalloc" from stubs that may raise exceptions

Tue Feb 22 22:09:11 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix the unix job for Lwt_bytes.{read,write} on windows

Wed Feb 16 16:22:03 CET 2011  chambart@crans.org
  * add getsockname getpeername to Lwt_ssl

Fri Feb 11 14:25:30 CET 2011  chambart@crans.org
  * Lwt_stream: avoid memory leak from create
  in let push,stream = create ()
  push no longer keep a reference to data in the stream
  

Mon Feb 14 20:21:54 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * remove all exit hooks when an execvp fails

Mon Feb 14 11:52:31 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * add manual build files to the boring file

Mon Feb 14 11:44:16 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * add a boring file

Sun Feb 13 19:00:25 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * put text stubs into src/text

Sun Feb 13 00:35:53 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix Lwt_unix.get_cpu

Sun Feb 13 00:33:28 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * allow to integrate lwt into glib instead of glib of lwt
  
  Because glib into lwt does not works under windows

Sat Feb 12 23:17:39 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_sys to apiref-intro

Sat Feb 12 18:07:23 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * use optcomp

Sat Feb 12 16:01:47 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * add module Lwt_sys

Fri Feb 11 23:40:09 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * typos

Fri Feb 11 22:09:33 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_unix.have

Fri Feb 11 14:34:31 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * use the code plugin in the manual and add colors

Fri Feb 11 09:10:28 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * typo

Fri Feb 11 09:01:59 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * remove obsolete doc about C stubs

Fri Feb 11 08:56:32 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * use code plugins in the manual

Fri Feb 11 08:19:45 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * use rubber for creating the pdf

Fri Feb 11 00:51:02 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * convert the doc to wikicreole

Thu Feb 10 21:35:41 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * ensure that glib main loop functions are called in the right order

Thu Feb 10 17:55:16 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * lwt.glib enhancement

Thu Feb 10 14:49:46 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * add -L/-I flags also for lwt.glib

Thu Feb 10 14:33:08 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * use a pair of socket for notifications on windows

Thu Feb 10 14:14:54 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix windows stubs

Thu Feb 10 13:54:03 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * better fd blocking detection on windows

Thu Feb 10 12:52:35 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * implement more stubs on windows

Thu Feb 10 11:54:06 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * use a byte plugin for compilling examples
  
  For better portability

Thu Feb 10 11:50:36 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * search for headers in a list of predefined directories
  
  It is for better integration with Windows and MacOS

Thu Feb 10 10:10:05 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * enhancement in the notification system
  
  - support unbounded number of simultaneous notifications
  - send only one byte for simultaneous notifications

Wed Feb  9 22:39:34 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * use eventfd when available for notifications

Tue Feb  8 17:24:52 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix engines transfers

Tue Feb  8 15:31:34 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * typo

Tue Feb  8 15:11:17 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * stop all events before destroying an engine

Tue Feb  8 15:05:27 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * reimplement fd aborting

Tue Feb  8 14:54:40 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * implement engine copying

Tue Feb  8 14:04:34 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix the main loop
  
  I don't really know why it fixes tests...

Mon Feb  7 23:28:07 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * refactoring + use an engine based on select for windows

Mon Feb  7 15:06:30 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * fix examples

Mon Feb  7 15:04:01 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * reimplement lwt.glib with the new engine system

Sun Feb  6 23:46:24 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * allow to replace libev by another engine

Wed Jan 26 14:19:37 CET 2011  chambart@crans.org
  tagged 2.2.1

Wed Jan 26 14:17:37 CET 2011  chambart@crans.org
  * update changelog and version number

Mon Jan 24 21:55:14 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * better way of copying/emptying the list of threads paused/yielded

Mon Jan 24 16:29:08 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * add a counter for paused threads and do not call wakeup_paused recursively

Fri Jan 14 17:44:48 CET 2011  chambart@crans.org
  * add a hook for Lwt.pause

Fri Jan 14 17:33:36 CET 2011  chambart@crans.org
  * circumvent an js_of_ocaml bug

Tue Jan  4 14:19:50 CET 2011  Jeremie Dimino <jeremie@dimino.org>
  * remove tests using finalisers
  
  Tests may fail because it is not ensured that finalisers will be
  called.

Fri Dec 17 16:58:14 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * check for C libraries at configure time

Thu Dec 16 17:46:19 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add libev to the README

Mon Dec 13 15:37:20 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  tagged 2.2.0

Mon Dec 13 15:37:05 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * version 2.2.0

Mon Dec 13 15:36:03 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_bytes to apiref-intro

Mon Dec 13 14:36:56 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * update CHANGES

Mon Dec 13 14:15:22 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  tagged 2.2

Mon Dec 13 14:15:02 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * version 2.2

Sun Dec 12 18:49:31 CET 2010  balat at univ-paris-diderot.fr
  * Adding wiki documentation

Thu Dec  9 15:35:42 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * install lwt_unix.h

Wed Dec  8 17:25:21 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt.waiter_of_wakener

Sat Dec  4 18:06:03 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * remove Lwt.block and Lwt.no_cancel

Sat Dec  4 11:58:40 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * update CHANGES

Sat Dec  4 11:38:25 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * update the manual

Sat Dec  4 10:42:14 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt.block and Lwt.no_cancel

Thu Dec  2 17:44:26 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_ssl.embed_socket

Wed Dec  1 18:19:28 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix a fd leak in Lwt_io.open_connection

Sun Nov 28 18:24:47 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * do not call pkg-config if not building lwt.glib

Sat Nov 27 01:36:36 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * update tests for local storage

Fri Nov 26 21:24:31 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * change the implementation of local storage

Fri Nov 26 11:15:46 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * discover available features at compile time

Fri Nov 26 03:10:09 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix compilation on opensolaris

Thu Nov 25 17:11:20 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add more functions to Lwt_bytes

Thu Nov 25 16:45:26 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * do not wait if not needed in Lwt_bytes.wait_mincore

Thu Nov 25 11:32:44 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * put mmap stuff into Lwt_bytes

Wed Nov 24 23:44:10 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_bytes.{recvfrom,sendto}

Wed Nov 24 20:52:13 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_bytes.{recv,send}_msg

Wed Nov 24 17:14:49 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * replace strings by bigarrays in Lwt_io

Tue Nov 23 21:24:24 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_bytes to do IOs on bigarrays

Wed Nov 24 07:52:06 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * handle errors in lwt_unix_write_result

Tue Nov 23 23:46:07 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix compilation on FreeBSD

Tue Nov 23 20:06:06 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * do not create the notification if not needed in Lwt_unix.execute_job

Tue Nov 23 16:11:06 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * use a custom hashtbl for storing notifiers

Tue Nov 23 15:32:44 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix the stubs for stat

Tue Nov 23 15:29:25 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix compilation on windows

Tue Nov 23 03:22:05 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * use realtime signals instead of SIGUSR1

Tue Nov 23 02:38:45 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add functions to get/set the affinity

Tue Nov 23 02:05:29 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * do not include <caml/threads.h> (not used)

Mon Nov 22 23:30:36 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix a memory leak in Lwt_unix.set_notification
  
  Use Hashtbl.replace instead of Hashtbl.add

Mon Nov 22 23:22:30 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * remove global roots when the watcher is stopped in libev stubs

Mon Nov 22 22:42:18 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix a typo in lwt_unix_send_notification_stub

Mon Nov 22 21:08:00 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * do not wait if not needed in Lwt_unix.execute_job

Mon Nov 22 14:39:04 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * delete the mutex associated to a job when it terminates

Sun Nov 21 19:27:11 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix cancellation of blocking calls

Sun Nov 21 18:18:37 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add functions to control the pool of threads

Sun Nov 21 16:37:23 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_unix.readdir_n and Lwt_unix.files_of_directory

Sun Nov 21 13:54:25 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * use a hash table for storing notifications

Sun Nov 21 12:26:49 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix examples

Sun Nov 21 11:58:05 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix a bug in stubs for the switch async method

Sat Nov 20 17:29:20 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * set the [set_flags] field in [Lwt_unix.set_blocking]

Sat Nov 20 13:37:13 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * guess the blocking mode when not specified

Fri Nov 19 22:54:36 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * implement the switch async method

Thu Nov 18 21:54:06 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add mmap oasis files

Thu Nov 18 16:46:11 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * create the sub-library lwt.mmap

Thu Nov 18 10:51:38 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * handle exceptions raised during the execution of libev_loop
  
  In particular handle SIGINT in the toplevel.

Thu Nov 18 10:25:03 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * reimplement Lwt_unix.abort with libev

Thu Nov 18 04:09:12 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * implement lwtized unix functions

Wed Nov 17 21:04:54 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add prototype of all lwtised unix functions

Wed Nov 17 17:54:11 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * expose Lwt_unix.{readable,writable}

Wed Nov 17 17:36:31 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_io.is_busy

Wed Nov 17 16:38:31 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add constants for the switch async method

Wed Nov 17 15:45:49 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * execute synchronous job in a blocking section

Wed Nov 17 13:19:30 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt.with_value

Wed Nov 17 08:35:13 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * implement async version of Lwt_unix.close

Wed Nov 17 01:15:25 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix lwt_unix_send_notification

Wed Nov 17 00:11:10 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add a mechanisms for running blocking system calls in parallels

Wed Nov 10 15:37:17 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * put Lwt_mmap into public modules

Mon Nov  8 17:25:26 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * put code examples into boxes in the manual

Sun Nov  7 21:51:53 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * make glib stubs to work on windows

Fri Nov  5 18:11:45 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add a macro to acquire the runtime system lock from libev callbacks

Tue Nov  2 23:12:07 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add doc for threads local storage

Tue Nov  2 22:38:39 CET 2010  chambart@crans.org
  * tests for Lwt_mmap

Tue Nov  2 22:35:07 CET 2010  chambart@crans.org
  * Lwt_mmap bugfixes

Tue Nov  2 16:20:33 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add files generated by 'oasis setup'
  
  So users can compile the development version without installing oasis.

Mon Nov  1 17:58:35 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix a bug in read_notification

Mon Nov  1 17:30:46 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix a bug in send_notification

Fri Oct 29 21:51:48 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix several wrong recursive calls in Lwt_list

Fri Oct 29 18:36:13 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * use Lwt.task instead of Lwt.wait in Lwt_condition and Lwt_pool

Fri Oct 29 17:50:50 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * better completion on modules contents
  
  Now completion works with modules defined in the toplevel.

Thu Oct 28 12:37:42 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * handle Lwt_unix.yield without libev

Wed Oct 27 22:55:49 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix the name of the stubs for glib in _tags

Tue Oct 26 10:28:00 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * remove child watchers from libev stubs (not used)

Tue Oct 26 01:28:50 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix compilation on windows

Tue Oct 26 01:07:29 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * add support for windows threads

Tue Oct 26 00:41:48 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * use libev instead of select

Sat Oct 23 01:57:44 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * add oasis files to the repository

Sat Oct 23 01:19:23 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix a typo in predist

Sat Oct 23 01:00:47 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * update oasis stuff to oasis 0.2

Mon Oct 18 17:34:51 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * update the manual

Tue Oct 12 18:35:28 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * add the inputenc package for the manual

Fri Oct  8 17:31:53 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * add a "milliseconds" variable to Lwt_log

Tue Oct  5 00:38:05 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * rename Makefile to make-dist.sh

Tue Oct  5 00:29:12 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * remove colors in the manual

Fri Sep 24 11:57:08 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_term.render_update

Fri Sep 10 15:27:41 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * update the manual

Fri Sep 10 10:37:22 CEST 2010  Stephane Glondu <steph@glondu.net>
  * lwt_read_line: more usual behaviour for ^D

Sun Jun 13 11:30:34 CEST 2010  Stephane Glondu <steph@glondu.net>
  * Fix wiki syntax typo in CHANGES

Wed Sep  8 07:41:49 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * Convert the manual to melt

Sun Sep  5 22:17:19 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * add tests to _oasis

Sun Sep  5 20:15:10 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * switch to OASIS

Sun Sep  5 16:59:36 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * add an _oasis file (not yet usable)

Sun Sep  5 10:29:35 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_switch to apiref-intro

Sat Sep  4 11:46:34 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * add lwt_unix.h

Sat Sep  4 11:46:12 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * use raise_lwt instead of fail

Sat Sep  4 11:16:22 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * add backtrace support

Wed Sep  1 15:24:50 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * factorize pipes internally used by lwt into a single one

Tue Aug 31 15:59:25 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * merge optimisations for Lwt.pick and Lwt.choose

Tue Aug 31 11:56:26 CEST 2010  chambart@crans.org
  * Lwt_mmap reuse already mmaped file

Tue Aug 31 10:49:04 CEST 2010  chambart@crans.org
  * make Lwt_mmap sleeps sometimes to launch fewer threads

Mon Aug 30 18:00:04 CEST 2010  chambart@crans.org
  * allow Lwt_mmap functions to read more than one page per syscall

Mon Aug 30 14:50:30 CEST 2010  chambart@crans.org
  * optimisation of Lwt.pick
  
  Usualy there is only one thread ready to pick.
  In this case we don't call Random.int since it is quite expensive,
  even with 1 as parameter.
  

Tue Aug 31 13:13:29 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix local storage bugs + add tests

Mon Aug 30 11:47:35 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * typo
  
  Pattern not recognized by ocaml 3.11

Sun Aug 29 11:34:39 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * add LWt_switch.add_hook_or_exec

Sun Aug 29 10:55:58 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * modify Lwt_switch.add_hook and add Lwt_switch.check

Fri Aug 27 14:28:02 CEST 2010  chambart@crans.org
  * use Lwt_mmap when possible in Lwt_io

Thu Aug 26 18:02:00 CEST 2010  chambart@crans.org
  * really non blocking disk input using mmap/mincore

Thu Aug 26 10:08:24 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * add module Lwt_switch

Wed Aug 25 13:26:33 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * fixes to really make it works with ocaml 3.11

Wed Aug 25 12:48:45 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * no ocaml 3.12 features for now

Tue Aug 24 22:34:39 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * make Lwt.join to wait for all threads to terminate, even if one fails

Tue Aug 24 22:12:12 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * add thread local storage

Mon Jul  5 09:15:20 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * fixes signal handling

Fri Jul  2 11:06:52 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * make signal handling thread-safe

Thu Jun 24 13:10:54 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * replace Lwt.select by Lwt.pick in Lwt_unix's doc

Sun Jun 20 19:24:15 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * Do not share the reference to the cancel function in threads created with Lwt.wait

Fri Jun 18 19:03:52 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix a race condition in Lwt_{event,signal}.delay

Thu Jun 17 09:55:22 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * added Lwt_{signal,event}.delay

Sun Jun 13 10:49:33 CEST 2010  Stephane Glondu <steph@glondu.net>
  tagged 2.1.1

Sun Jun 13 10:48:02 CEST 2010  Stephane Glondu <steph@glondu.net>
  * Prepare release 2.1.1

Sat Jun 12 09:00:21 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * better implementation of lwtized react functions
  
  Now, given [e' = operation_{s,p} f e ...], if the function [f] returns
  immediatly, [e'] behaves has [operation f e], and if not it is updated
  in a disjoint update cycle.

Fri Jun  4 17:09:36 CEST 2010  Stephane Glondu <steph@glondu.net>
  * Update CHANGES

Sat May 29 23:05:34 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * use set_close_on_exec for fds created by Lwt_log

Fri May 28 08:54:10 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * minor fix in Lwt.map
  
  It was possible that [res] was connected two times, thus raising an
  exception.

Tue May 25 12:34:31 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * change the welcome message of the toplevel

Tue May 25 01:45:05 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix a fd leak in Lwt_unix.accept_n
  
  Now, if an error happen after connections have been accepted, they are
  returned with the error.

Fri May 21 16:48:50 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * add a patch to support the lwt syntax extension in the tuareg mode

Mon May 10 18:51:19 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix a bug in Lwt.cancel
  
  Prevent threads from cancelling themselves recursively

Fri May  7 10:32:26 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * make Lwt_main.call_hooks tail recursive

Thu May  6 18:46:36 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix updating of the cancel function

Thu May  6 11:15:25 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt.nchoose and Lwt.npick

Tue May  4 17:57:22 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * never fail when cancelling a thread

Tue May  4 15:36:33 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * call Lwt.wakeup_paused before polling the thread in Lwt_main.run
  
  Otherwise, if the thread terminates in wakeup_paused, the scheduler
  may wait indefinitly for nothing.

Mon Apr 19 20:47:32 CEST 2010  Stephane Glondu <steph@glondu.net>
  tagged 2.1.0

Mon Apr 19 20:47:19 CEST 2010  Stephane Glondu <steph@glondu.net>
  * Prepare release 2.1.0

Sun Apr 18 08:39:18 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * do not expunge everything

Sat Apr 17 15:30:24 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * expunge the toplevel

Thu Apr 15 23:31:43 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix the logging example

Wed Apr 14 22:19:27 CEST 2010  Stephane Glondu <steph@glondu.net>
  * apiref-intro: increment all header levels by 1
  
  ...to match the current way of handling doc on the website.

Wed Apr 14 14:59:02 CEST 2010  Stephane Glondu <steph@glondu.net>
  * Add possibility to override ocamldoc

Mon Apr 12 10:01:16 CEST 2010  jerome.vouillon@pps.jussieu.fr
  * Made Lwt_util.iter tail recursive + fixed bug in Lwt_util.run_in_region

Thu Apr  1 02:04:42 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * add hacks for windows in Lwt_unix

Mon Mar 29 14:38:10 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * add missing dependency lwt.react --> lwt

Sun Mar 28 15:14:10 CEST 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix compilation of simple_top
  
  Remove the wrong dependency to ocaml-text

Sun Mar 28 01:30:59 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * install dlls on windows

Sat Mar 27 15:54:13 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix compilation under mingw32

Thu Mar 25 18:04:21 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * css: fix copying to the documentation directory

Thu Mar 25 11:24:36 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add/fix documentation

Thu Mar 25 08:00:32 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * css: fix color of keyword symbols

Thu Mar 25 00:34:30 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * css: highlight definitions

Wed Mar 24 22:35:43 CET 2010  Stephane Glondu <steph@glondu.net>
  * Minor typos in doc

Wed Mar 24 20:38:11 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix doc css

Wed Mar 24 15:59:54 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * a bit more doc for Lwt

Wed Mar 24 15:59:40 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix doc of Lwt_stream

Wed Mar 24 11:38:06 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add category descriptions

Wed Mar 24 11:11:14 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add a custom css

Tue Mar 23 00:26:53 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_signal.{bind,return}

Mon Mar 22 20:36:48 CET 2010  Stephane Glondu <steph@glondu.net>
  * Better titles for modules in apiref index

Mon Mar 22 20:05:53 CET 2010  Stephane Glondu <steph@glondu.net>
  * Categorize ocamldoc-generated API reference

Mon Mar 22 19:27:31 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add the backlog argument to Lwt_io.establish_server

Sun Mar 21 22:17:12 CET 2010  Stephane Glondu <steph@glondu.net>
  * Minor fixes with doc generation

Sun Mar 21 19:59:33 CET 2010  Stephane Glondu <steph@glondu.net>
  * Remove Lwt_monitor

Sun Mar 21 19:46:45 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * rename lwt_core.cma to lwt.cma
  
  Otherwise it breaks to much things.

Sun Mar 21 18:14:19 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_io.system_byte_order

Sun Mar 21 17:59:34 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * logging: allow to dispatch logs according to their sections

Sun Mar 21 01:01:14 CET 2010  Stephane Glondu <steph@glondu.net>
  * Changelog trivia

Sun Mar 21 00:35:56 CET 2010  Stephane Glondu <steph@glondu.net>
  * Add module Lwt_condition
  
  This module promotes Lwt_monitor's conditions. Lwt_monitor now
  duplicates mutexes and condition, and will most likely be removed
  soon.
  

Sun Mar 21 00:35:32 CET 2010  Stephane Glondu <steph@glondu.net>
  * Formatting changelog

Sat Mar 20 08:48:45 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * more signal helpers

Fri Mar 19 19:13:04 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * rename Lwt.select to Lwt.pick

Wed Mar 17 08:56:07 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * more event functions

Tue Mar 16 20:54:24 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix doc generation

Tue Mar 16 20:31:18 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * replace Lwt_main.fast_yield by Lwt.pause

Tue Mar 16 18:28:50 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * typo

Tue Mar 16 18:24:52 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add the possibility to finalise an event/signal

Tue Mar 16 17:07:07 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * more readable ouput of tests

Tue Mar 16 15:04:31 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add mapping functions for events and signals

Tue Mar 16 13:42:35 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * allow to cancel a [get] on a stream created with Lwt_stream.create or Lwt_event.to_stream

Mon Mar 15 21:39:12 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * replace Lwt_stream.push_stream by Lwt_stream.create

Wed Mar 10 09:56:15 CET 2010  chambart@crans.org
  * add Lwt_term.clear_line

Sun Mar 14 22:04:07 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * Various manual fixes
  
  Thanks to Xavier Lagorce for the tips.

Sun Mar 14 12:01:57 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix: inverse arguments of Unix.kill in Lwt_process

Sat Mar 13 10:27:53 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix tests

Sat Mar 13 09:10:45 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add wrappers for all unix functions using file descriptors

Fri Mar 12 21:36:08 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add wrappers for Unix.send, Unix.sendto, Unix.recv and Unix.recvfrom

Fri Mar 12 19:40:16 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add more unix functions

Fri Mar 12 18:10:49 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * split sources into sub-directories

Fri Mar 12 16:43:28 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * put react stuff into a new sub-library named "lwt.react"

Fri Mar 12 10:57:14 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * Add a note in the manual telling it is not yet finished

Thu Mar 11 18:53:26 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * update CHANGES

Thu Mar 11 16:58:06 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * Optimisations in the Lwt module

Thu Mar 11 00:24:56 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * Better representation of removable waiters
  
  We do not keep a reference to the waiter function, so it can be
  garbage collected before the tree is cleaned-up.

Sat Mar  6 01:50:47 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix connection order in Lwt.connect

Wed Mar  3 22:26:26 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * finish the first section of the manual

Wed Mar  3 15:18:37 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_main.at_exit

Tue Mar  2 10:18:01 CET 2010  chambart@crans.org
  * more tests of module Lwt

Tue Mar  2 10:17:18 CET 2010  chambart@crans.org
  * typos in comments

Tue Mar  2 00:45:02 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * reorganise sections of the manual

Fri Feb 26 02:49:48 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * better performances of the Lwt module
  
  Instead of using doubly linked lists, we use a tree and garbage
  collect disabled waiters when their number reach a limit.

Thu Feb 25 17:30:01 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_stream.last_new

Wed Feb 24 14:20:59 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * remove the fifo hack from Lwt_io.open_file

Wed Feb 24 11:40:13 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * allow to cancel a server created with Lwt_io.establish_server

Sun Feb 21 14:12:19 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * rename Lwt_term.{save,restore}_stato to Lwt_term.{enter,leave}_drawing_mode

Sat Feb 20 18:38:42 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_main.fast_yield

Fri Feb 19 11:28:11 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * simplify the syntax extension for logs
  
  Now the lwt.syntax.log syntax extension is not required. Adding it is
  just a matter of performance.

Thu Feb 18 20:04:46 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * allow to wait for log completion

Thu Feb 18 12:53:45 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix Lwt_{event,signal}.limit

Thu Feb 18 08:39:52 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_{event,signal}.limit

Thu Feb 18 00:52:12 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * Bugfix for cloned streams

Wed Feb 17 19:34:29 CET 2010  chambart@crans.org
  * add more tests for Lwt_stream.clone ( and expose a bug )

Wed Feb 17 18:27:01 CET 2010  chambart@crans.org
  * add Lwt_stream.filter_map test

Wed Feb 17 18:24:25 CET 2010  chambart@crans.org
  * add Lwt_stream.filter test

Wed Feb 17 18:15:28 CET 2010  chambart@crans.org
  * remove old test from Makefile

Wed Feb 17 10:11:15 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt.protected

Tue Feb 16 16:26:05 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * Add support for redirections in Lwt_process

Tue Feb 16 15:09:15 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * doc typos

Tue Feb 16 13:56:06 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * Add Lwt_daemon

Fri Feb 12 14:01:05 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * Add Lwt_io.of_string

Fri Feb 12 13:05:29 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * Do not wrap Unix_error into Sys_error
  
  Unix_error are more precise that Sys_error.

Wed Feb 10 18:10:31 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * caching of completion

Wed Feb 10 17:27:47 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * move Lwt_ocaml_completion and Toplevel to src/private

Wed Feb 10 10:17:15 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * make Lwt_io.pipe raise Sys_error

Mon Feb  8 17:47:11 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * automatic closing of anonymous channels

Fri Feb  5 15:39:01 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_term.{save,restore}_state

Fri Feb  5 15:11:51 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * better printing in Lwt_read_line
  
  Do not add spaces to erase text.

Fri Feb  5 11:08:03 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * close fds used for signals on exec

Wed Feb  3 07:29:51 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add control of the internal buffer size in Lwt_io

Wed Feb  3 07:06:50 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * typo in lwt_unix_stubs.c

Tue Feb  2 15:17:39 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix Lwt_read_line.complete
  
  The suffix was ignored

Mon Feb  1 22:08:03 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * drawing helpers

Sun Jan 31 20:30:39 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_mutex.{is_locked,is_empty}

Sun Jan 31 13:38:41 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add the log level "notice"

Fri Jan 29 20:56:26 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix Lwt_stream.get_while

Fri Jan 29 19:56:42 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * corrrectly count the number of failure in tests

Thu Jan 28 18:55:42 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * allow std* to be closed

Thu Jan 28 18:33:44 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * simpler creation of Lwt_io.std*

Thu Jan 28 18:20:13 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * do not closes channels on exit

Sat Jan 23 22:19:20 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * more doc

Sat Jan 23 17:07:02 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * doc: finish the doc of the core library

Sat Jan 23 16:43:25 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * doc: intro + core concepts

Sat Jan 23 13:56:13 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * doc for the syntax extension

Sat Jan 23 12:22:02 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * user manual skeleton

Thu Jan 21 18:49:26 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix Undo when the cache of previous states is too big

Wed Jan 20 22:13:02 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Undo command to read-line

Mon Jan 18 16:04:03 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * tests for Lwt_io

Mon Jan 18 15:45:42 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * allow auto-flushing in atomics

Mon Jan 18 14:58:24 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * Lwt_io: do not yield in the auto-flusher if the channel is busy

Sun Jan 17 17:25:10 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add -I src/stubs for building toplevel.top

Sun Jan 17 13:57:34 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix backward search in read_line

Sun Jan 17 01:12:47 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * more completion in the toplevel

Sat Jan 16 20:17:37 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * enhancement of history loading/saving
  
  When saving the history, it is merged with the on disk history.

Sat Jan 16 18:52:15 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * udpate CHANGES

Sat Jan 16 18:09:52 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * handle {Backward,Forward}_delete_word

Sat Jan 16 18:00:36 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * use Key_control for all control keys

Thu Jan 14 13:32:54 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * uses unix file-descriptors instead of lwt ones for {recv,send}_msg
  
  Passed file descriptors may fails to be put in non-blocking mode, so
  we let the user do the convertion if he wants to.

Thu Jan 14 10:29:35 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * move stubs into a subdirectory

Thu Jan 14 01:39:51 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_unix.get_credentials

Thu Jan 14 01:39:28 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_unix.{recv,send}_msg

Wed Jan 13 14:57:15 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix backward-search in read-line

Tue Jan 12 22:39:45 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * enable {forward/backward}-word in selection mode

Tue Jan 12 19:48:04 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_read_line.Command.Backward_kill_line

Tue Jan 12 19:46:05 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_read_line.Command.of_string

Tue Jan 12 09:49:15 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * deprecates module Lwt_util

Tue Jan 12 09:46:40 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add module Lwt_list

Mon Jan 11 22:11:32 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * merge

Mon Jan 11 08:13:51 CET 2010  chambart@crans.org
  * add quite complete test for Lwt and partial test for Lwt_util

Mon Jan 11 21:52:43 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * start of unit tests

Sat Jan  9 10:29:38 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * optimisation on cancellable threads
  
  Use directly the list of threads to cancel with the [Temp]
  constructor.

Sat Jan  9 10:56:25 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * do not launch a new thread for completion in `real_time mode

Sat Jan  9 00:00:35 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * read-line animation

Fri Jan  8 19:07:55 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * read-line fixes

Fri Jan  8 08:56:26 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * launch the auto-flusher in the optimized write_char

Thu Jan  7 23:35:33 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix Lwt_stream.of_event

Thu Jan  7 18:53:08 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * rewrite all read-line functions

Thu Jan  7 16:07:34 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * Lwt_stream enhancement

Wed Jan  6 17:11:51 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * handle prompt visibility in Lwt_read_line

Wed Jan  6 14:49:53 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * rewrite of the read-line engine

Wed Jan  6 14:19:13 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * include signal.h in lwt_unix_stubs.c (for SIGWINCH)

Wed Jan  6 11:34:43 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * optimize character reading/writing in Lwt_io
  
  Bypass the locking/unlocking phase if we can.

Tue Jan  5 14:43:31 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * change the interface of Lwt_directory

Mon Jan  4 18:24:09 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix Lwt_event.from

Mon Jan  4 11:53:57 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_event.from

Sun Jan  3 21:58:36 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_read_line.Terminal.erase

Sat Jan  2 15:46:36 CET 2010  Jeremie Dimino <jeremie@dimino.org>
  * fix building of documentation

Tue Dec 29 23:39:57 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * added Lwt_event.next

Tue Dec 29 23:16:34 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * typo in _tags: use_C_glic instead of use_C_glib

Wed Dec 23 20:03:25 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * bypass the FD_SETSIZE limitation of the libc

Wed Dec 23 19:39:20 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix examples/logging.ml

Tue Dec 22 10:15:02 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * better implementation of Lwt_unix.daemonize

Mon Dec 21 23:18:37 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * simplify the Lwt_log module

Sat Dec 19 13:12:27 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_io.establish_server

Thu Dec 17 18:40:17 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * exit with code 0 in Lwt_unix.daemoniaz

Wed Dec 16 17:13:22 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * force cooperation for file descriptors that do not support non-blocking I/Os

Wed Dec 16 17:03:32 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * Lwt_io.of_fd takes now a optionnal close function
  
  It allow to handle the case where we want that closing the channel
  keep the file descriptor open. Now we can do:
  
    Lwt_io.of_fd ~close:Lwt.return ~mode:...
  

Wed Dec 16 17:02:14 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * add module Lwt_directory

Wed Dec 16 17:00:32 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_unix.auto_yield
  
  Its goal is to force cooperation when it is not possible to have
  non-blocking I/O.

Wed Nov 25 19:26:30 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix the example of use of "... >> ..."

Sat Nov 21 23:19:50 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * replace some ">... >> ..." by "lwt _ = ... in ..."
  
  It is much readable with the second construction than with the first
  one.

Sat Nov 21 00:13:49 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix a fd leak in Lwt_io.open_connection

Tue Nov 17 18:50:15 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * removes the use of signalfd
  
  It is too much complicated to detect when it is really available and
  working, and is linux-specific. We use now the classical hack which
  consist on writing to a pipe when a signal come.

Mon Nov 16 14:37:38 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * add functions to navigate in the completion bar

Mon Nov 16 11:24:55 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * put completions into a table
  
  This remove ambiguity when a commpletion contains spaces.

Mon Nov 16 10:11:11 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * export helpers for drawing engine state on the terminal

Mon Nov 16 09:26:50 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * add comments in examples

Mon Nov 16 10:37:45 CET 2009  chambart@crans.org
  * stream functions (mapping and peeking)

Mon Nov 16 10:06:13 CET 2009  chambart@crans.org
  * pushable streams

Sun Nov 15 21:41:20 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * add two examples

Sun Nov 15 21:10:23 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * Refactoring of Lwt_read_lnie
  
  More code sharing between the read-line functions..

Sun Nov 15 12:21:29 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * use sets instead of list for completion

Fri Nov 13 21:35:02 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix completion printing

Fri Nov 13 18:59:37 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix completion printing

Fri Nov 13 18:06:49 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * allow the prompt in read-line to be a signal
  
  This can be used to recompute the prompt when the terminal sizes
  change.

Fri Nov 13 17:39:42 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * implement reverse search in read-line

Fri Nov 13 09:34:09 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * reset attributes before printing the prompt

Fri Nov 13 08:40:25 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * better completion on directives

Thu Nov 12 22:27:26 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * write naviguation inside completion

Thu Nov 12 17:54:40 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * rewrite Lwt_read_line.read_keyword

Thu Nov 12 16:33:50 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * rewrite of Lwt_read_line.read_line with reactive programming

Thu Nov 12 09:24:12 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * plop

Wed Nov 11 21:18:27 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * allow moves in the completion bar

Wed Nov 11 17:51:39 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * new completion type

Tue Nov 10 14:21:40 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * style
  
  Replace some "a >> b" by "lwt () = a in b"

Tue Nov 10 08:44:37 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * typo

Tue Nov 10 08:24:48 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * drop debugging messages by default

Tue Nov 10 08:21:00 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * logging enhancement

Tue Nov 10 08:39:07 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix generated code when debugging messages are disabled

Tue Nov 10 08:01:12 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix order of arguments in pa_log

Mon Nov  9 20:36:05 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * logging enhancement

Mon Nov  9 20:27:31 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * put daemonize in Lwt_unix
  
  Lwt_util is in the "lwt" package, so it should not depends on Unix.

Sun Nov  8 08:01:34 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * typo in myocamlbuild.ml
  
  The "dep" function expect a list of tags, not filenames

Sat Nov  7 10:28:44 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * add module name in logged messages

Sat Nov  7 09:04:43 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * added pa_log for logging messages

Sat Nov  7 06:22:05 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * typo
  
  lwt_clear_all_fs -> lwt_close_all_fds

Fri Nov  6 23:33:18 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * Adding function Lwt_util.daemonize

Fri Nov  6 23:29:25 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * Adding module Lwt_log

Sun Nov  1 12:22:05 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * adding module Lwt_log
  
  Lwt_log allows to log messages through syslog in cooperative way.

Sun Oct 25 06:02:40 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * enhancement in Lwt_process
  
  - add timeouts
  - add more functions to the default process class

Sun Oct 25 05:15:07 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * replaces run_and_read in myocamlbuild.ml

Sun Oct 25 05:03:44 CET 2009  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_unix.wait4
  
  Thanks to Mauricio Fernandez for the patch.

Tue Oct 20 12:38:11 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * bugfix in Lwt_unix.connect
  
  Raises [Retry] on EINPROGRESS error.

Sun Oct 18 07:28:09 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * update changes

Fri Oct 16 09:40:25 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * bugfixes in lwt.glib
  
  - POLLIN, POLLOUT and POLLERR were not initialised correctly
  - returned events were not set correctly (a Val_int was missing)
  - the result of the poll function was incorrect

Fri Oct 16 09:40:15 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix the "all" target in examples' Makefile

Thu Oct 15 23:02:57 CEST 2009  Stephane Glondu <steph@glondu.net>
  tagged 2.0.0

Thu Oct 15 23:02:21 CEST 2009  Stephane Glondu <steph@glondu.net>
  * Prepare release 2.0.0

Mon Oct 12 12:13:20 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * Allow the "lwt x1 = e1 and x2 = e2 ..." construction at the toplevel
  
  Translate "lwt x1 = e1" to "let x1 = Lwt_main.run e1" and so. Very
  usefull in the toplevel.

Sat Oct 10 20:00:16 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * add events and signals utilities

Sat Oct  3 16:01:13 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * more read-line functions

Sat Oct  3 16:38:05 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix: close also stderr in Lwt_process.process_full#close

Sat Oct  3 04:45:59 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * add lwt.unix to examples' myocamlbuild.ml

Fri Oct  2 23:49:16 CEST 2009  Stephane Glondu <steph@glondu.net>
  * Documentation for Lwt_throttle

Fri Oct  2 23:39:43 CEST 2009  Stephane Glondu <steph@glondu.net>
  * Generate documentation for lwt_unix

Tue Sep 29 15:36:34 CEST 2009  Stephane Glondu <steph@glondu.net>
  * Fix dependencies in META.in

Sat Sep 26 01:13:20 CEST 2009  Stephane Glondu <steph@glondu.net>
  tagged 2.0.0+rc1

Fri Sep 25 22:20:24 CEST 2009  Stephane Glondu <steph@glondu.net>
  * Prepare release candidate

Fri Sep 25 22:18:40 CEST 2009  Stephane Glondu <steph@glondu.net>
  * Update CHANGES

Fri Sep 25 20:21:53 CEST 2009  Jeremie Dimino <dimino@crans.org>
  * remove lwt->unix dependency from META.in

Fri Sep 25 11:45:14 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * remove lwt.withoutunix and add lwt.unix
  
  Remove unix dependencies from the main lwt and put them into a
  subpackage lwt.unix.

Wed Sep 23 18:44:58 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * use CAML* macro in C bindings

Wed Sep 23 11:05:48 CEST 2009  Stephane Glondu <steph@glondu.net>
  * Update CHANGES and README

Fri Sep 11 22:19:49 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * include missing header in lwt_unix_stubs.c

Sun Aug 30 19:31:51 CEST 2009  Stephane Glondu <steph@glondu.net>
  * Fix META.in so that lwt exists on bytecode architectures

Thu Aug 20 16:47:14 CEST 2009  Stephane Glondu <steph@glondu.net>
  * Fix build on bytecode architectures

Wed Aug  5 17:55:18 CEST 2009  balat at pps.jussieu.fr
  * Adding missing mllib

Tue Aug  4 19:32:20 CEST 2009  balat at pps.jussieu.fr
  * Creating a cma without unix
  plus small typos corrected

Fri Jul 24 15:58:06 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * better catching of errors for the creation of the signal file descriptor

Tue Jul 21 14:00:40 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix linking of the enhanced toplevel

Mon Jul 20 12:13:57 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix the for_lwt syntax extension

Sat Jul 18 18:45:48 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * do not fail if signalfd fails

Thu Jul  9 14:47:30 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * do not allocate resources for sigchld handling lazilly

Tue Jul  7 22:50:27 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * new toplevel with completion on identifiers + completion on directories and files

Tue Jul  7 19:13:38 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * completion on findlib packages

Tue Jul  7 19:13:17 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * syntax extension for 'for' blocks with lwt

Tue Jul  7 19:12:38 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * readline display fixes and enhancement

Mon Jun 15 02:19:27 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * changes the build system
  
  Put all rules into the ocamlbuild plugin and test for the presence of signalfd.

Wed Jun 10 15:11:30 CEST 2009  vouillon at pps.jussieu.fr
  * Separate the type of threads (covariant) from the type of thread wakeners (contravariant)

Sun Jun  7 00:54:24 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * typos

Sun Jun  7 00:34:28 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * handle signals with react

Thu Jun  4 02:50:19 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix in Lwt_preemptive and Lwt_sequence

Mon Jun  1 19:53:42 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * typo

Mon Jun  1 16:57:48 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * Better reimplementation of Lwt_dlist and use it wherever cancellable tasks are possible

Mon Jun  1 16:51:25 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * allow to switch between blocking and nonblocking mode for a file descriptor

Thu May 28 09:40:21 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * allow file descriptors to be used in blocking mode

Wed May 27 18:38:11 CEST 2009  balat at pps.jussieu.fr
  * Lwt_pool: fixing race condition in create_member

Wed May 27 16:16:37 CEST 2009  vouillon at pps.jussieu.fr
  * Fixed MVar implementation: writers were never awaken

Wed May 27 15:07:03 CEST 2009  vouillon at pps.jussieu.fr
  * Put standard file descriptors in non-blocking mode only if really required

Wed May 27 10:19:23 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * handling of FIFOs in Lwt_io

Wed May 27 10:19:09 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * small fix in [try_lwt] syntax extension

Tue May 26 16:58:02 CEST 2009  vouillon at pps.jussieu.fr
  * Fixed binary int endianness in lwt_chan.ml

Mon May 25 14:43:41 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * generalizes hexdump

Mon May 25 13:28:56 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * bugfix in Lwt_unix.sleep
  
  Thanks to Pierre Chambart for the report

Mon May 25 11:20:37 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * documentation for Lwt_unix

Mon May 25 10:20:54 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * Lwt_io maps all Unix_error into Sys_error like the standard library

Mon May 25 01:24:42 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * rename private modules to avoid name clashes with other libraries

Mon May 25 01:10:49 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * implement the normal semantic for mailbox variables

Mon May 25 00:52:01 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * put conditions into Lwt_monitor and fix some bugs
  
  Lwt_condition is not useful on its own

Mon May 25 00:39:31 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * remove Lwt_queue
  
  Not well tested nor really useful

Mon May 25 00:36:44 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * cancelable threads

Sun May 24 18:49:25 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * do not use stubs on non-unix system

Fri May 22 21:19:18 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * do not add duplicated lines in history

Wed May 20 22:23:51 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * save/load history in the toplevel

Wed May 20 22:16:43 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * added toplevel integration for when ocaml-text is missing

Tue May 19 17:01:30 CEST 2009  Stephane Glondu <steph@glondu.net>
  * Fix compilation when ocamlopt is missing

Tue May 19 15:29:51 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * update CHANGES

Tue May 19 15:27:49 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * add license wherever missing

Tue May 19 15:21:22 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * Lwt_preemptive: refactoring + simplify its use

Tue May 19 00:26:22 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * better mutexes
  
  Do not wakeup everybody on unlock, only the first waiter.

Mon May 18 21:21:20 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix a bug in Lwt_io.read_all

Mon May 18 20:47:49 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * Lwt_io.hexdump

Mon May 18 17:13:57 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * remove Lwt_term.write_sequence
  
  Useless since the last flush bugfix.

Mon May 18 16:55:18 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix a bug in Lwt_io.perform_io
  
  on partial flush, remaining data where not shifted.

Mon May 18 16:29:57 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * makes *.open_* raise Sys_error instead of Unix_error

Mon May 18 14:24:39 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix a bug in *.read_line
  
  empty lines were not returned correctly.

Mon May 18 14:01:28 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix _tags
  
  put pkg_text only for modules needing it.

Mon May 18 13:56:02 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * New sub-package lwt.text
  
  put all ocaml-text dependent modules into a separate package.

Sun May 17 23:31:00 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * typo

Sun May 17 22:46:13 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * split byte channels and text channels

Sun May 17 17:15:04 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * move Pqueue into src/private

Thu May 14 01:04:11 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * do not fail whan standard(s) in/output(s) are closed

Wed May 13 19:19:21 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * prevent Lwt_preemptive.dispatch from failing when the pipe is closed

Wed May 13 15:24:05 CEST 2009  Stephane Glondu <steph@glondu.net>
  * Convert README to UTF-8 and add Warren Harris to authors

Wed May 13 15:19:20 CEST 2009  Stephane Glondu <steph@glondu.net>
  * Add exists_if to META file to allow partial installation

Wed May 13 15:18:39 CEST 2009  Stephane Glondu <steph@glondu.net>
  * Fix ocamldoc comments in Metaweb's files

Wed May 13 14:55:09 CEST 2009  Stephane Glondu <steph@glondu.net>
  * CHANGES formatting

Tue May 12 23:27:28 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * add META to byte and native targets

Tue May 12 22:13:56 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_mutex.with_mutex
  
  Thanks to Warren Harris for the patch

Tue May 12 22:05:07 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * documentation for Lwt_{condition,mvar,monitor}
  
  Thanks to Warren Harris for the patch

Tue May 12 10:28:11 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * added Warren Harris synchronisation modules'

Tue May 12 09:34:33 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * better terminal rendering

Tue May 12 07:52:11 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * Apply Warren Harris patch to handle pool member creation failure

Tue May 12 00:30:41 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * use iconv transliteration features

Mon May 11 17:53:06 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix Lwt_term.render
  
  workaround

Mon May 11 14:37:46 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * remove Lwt_io.force_flush

Mon May 11 13:57:49 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * fix documentation generation
  
  (temporary) workaround...

Mon May 11 13:14:43 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * add light colors

Mon May 11 02:15:52 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * inplementation of lwt_unix_term_size for windows

Sun May 10 20:55:18 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * new example parallelize

Sun May 10 20:52:48 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * build process enhancement
  
  * the makefile check for installed libraries
    and activate the compilation of sub-packages
    according to the result
  * examples are compiled using ocamlbuild

Thu May  7 23:51:28 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * more documentation

Thu May  7 21:45:26 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * fixes in Lwt_unix.accept_n

Thu May  7 11:21:52 CEST 2009  kerneis@pps.jussieu.fr
  * Lwt_unix: accept_n

Wed May  6 15:28:51 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * More suitable type for the completion function
  
  Now it can be aborted.

Wed May  6 00:33:01 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * naming convention, small bug fixes and documentation

Tue May  5 18:50:04 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * More functions in [Lwt_process]

Tue May  5 17:52:27 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * Allow reuse of the readline engine
  
  Split the implementation into several reusable modules, so if at some
  point somebody wants to implement a widget library using Lwt, it can
  reuse them.

Tue May  5 01:56:20 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * More on read-line
  
  * support of copy-pasting text
  * added variant of read_line (read_password, read_yes_no, ...)

Mon May  4 13:31:00 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * package encoding --> package text

Mon May  4 13:01:54 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * use [Text.to_ascii] as default fallback function

Mon May  4 12:27:09 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * various enhancement
  
  * better behaviour of *print* functions
  * rename Lwt_term.get_key to Lwt_term.read_key since
    it is a ``text'' function
  * Lwt_read_line.read_line defaults to Lwt_io.read_line
    when input is not a tty
  * added sample init file utils/ocamlinit

Mon May  4 09:52:25 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * better names for printing functions

Mon May  4 08:55:25 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * update CHANGES

Mon May  4 08:43:59 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * more helpers

Sun May  3 19:54:47 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * deal with character encodings at the channel level

Sun May  3 21:37:10 CEST 2009  balat at pps.jussieu.fr
  * (small patch) changing CHANGES format for inclusion in ocsigen.org's wiki

Sun May  3 10:47:03 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * new module Lwt_printf

Sun May  3 10:45:42 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * readline and line editing support for the toplevel

Fri May  1 11:49:41 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * Change the behaviour of ">>"
  
  Make it behaves as normal operators, otherwise strange things can
  happen.

Thu Apr 30 20:53:33 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * new module Lwt_stream

Thu Apr 30 15:47:52 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * Syntax extension improvement
  
  It is now easy to migrates to the lwt world!
  
  a; b            --> a >> b
  let x = m in e  --> lwt x = m in e
  try x with ...  --> try_lwt x with ...

Thu Apr 30 14:07:19 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * integration with the toplevel

Thu Apr 30 13:35:11 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * Better implementation of [join]
  
  When one thread fails, it fails without waiting for the
  termination of other threads.

Wed Apr 29 17:27:34 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * glib integration

Tue Apr 28 22:43:42 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * forein event-loop integration

Sun Apr 19 23:32:50 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * use the ``try_lwt'' construction

Sun Apr 19 20:46:21 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * allow ``try_lwt'' without ``with'' or ``finally''
  
  This just catch normal exception.

Fri Apr 17 11:32:26 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * update CHANGES

Fri Apr 17 11:15:42 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * -custom is deprecated

Fri Apr 17 05:11:43 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * add a syntax extension

Thu Apr 16 01:06:09 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * stubs for [read] and [write]
  
  Simplified and optimised version using the fact that reading/writing
  never block.

Wed Apr 15 23:46:16 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_process module

Wed Apr 15 22:55:18 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_io module
  
  Lwt_io is a new implementation of buffered channels which replaces
  Lwt_chan. The latter is kept for compatibility and not simply replaced
  to avoid name clashes: both modules define an [input] and an [output]
  field but semantics are different.

Wed Apr 15 16:06:27 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * add Lwt_gc and Lwt_exit_hook modules

Tue Apr 14 20:44:31 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * add the pa_monad syntax extension

Tue Apr 14 16:13:29 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * build process enhancement
  
  - generate everything with ocamlbuild
  - call ocamlbuild only one time in the Makefile
  - generate lwt.odocl to avoid duplication of the list of modules

Mon Apr 13 16:48:51 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * allow the user to check the state of a thread

Mon Apr 13 16:42:22 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * [Lwt.choose] do not leak memory anymore
  
  When a choose terminates, it removes all unneeded waiters.

Sun Apr 12 13:24:53 CEST 2009  Jeremie Dimino <jeremie@dimino.org>
  * better representation of threads
  
  [waiters = CNil] iff [state = Sleep].

Sat Jan 10 20:14:44 CET 2009  Stephane Glondu <steph@glondu.net>
  * Add Lwt_throttle module

Fri Dec 19 16:43:07 CET 2008  balat at pps.jussieu.fr
  * Changing the default number of preemptive threads queued

Wed Dec  3 02:27:19 CET 2008  Jeremie Dimino <jeremie@dimino.org>
  * Better implementation of Lwt_chan.output_char

Tue Jul 15 14:41:39 CEST 2008  Stephane Glondu <steph@glondu.net>
  * Precisions in source headers

Wed Jul  9 13:02:00 CEST 2008  Stephane Glondu <steph@glondu.net>
  * Bugfix in Lwt_chan.close_* (ticket #66)

Wed Jun 25 17:23:11 CEST 2008  Stephane Glondu <steph@glondu.net>
  tagged 1.1.0

Wed Jun 25 17:23:02 CEST 2008  Stephane Glondu <steph@glondu.net>
  * Prepare release

Wed Jun 25 17:20:29 CEST 2008  Stephane Glondu <steph@glondu.net>
  * changelog.darcs -> CHANGES.darcs

Sun Jun 22 18:08:37 CEST 2008  Stephane Glondu <steph@glondu.net>
  * Splitting out Lwt_preemptive and Lwt_ssl
  They are put into separate archives and findlib packages so that lwt
  depends only on unix (suggestion from Jerome Vouillon). As a side
  effect, creation of lwt_extra, which contains only Lwt_lib for now,
  because it uses Lwt_preemptive.

Fri Jun 20 20:11:32 CEST 2008  Stephane Glondu <steph@glondu.net>
  * Add CHANGES
  CHANGES is in Wikicreole syntax and is used to display the changelog
  on ocsigen.org. Ship darcs changelog in changelog.darcs.

Sun Jun  8 22:13:23 CEST 2008  Stephane Glondu <steph@glondu.net>
  * Exporting open_in_gen and open_out_gen from Lwt_chan
  Request from Serge Leblanc

Mon May 26 11:57:34 CEST 2008  Stephane Glondu <steph@glondu.net>
  * Add description to META.in

Sun May 25 13:17:45 CEST 2008  Stephane Glondu <steph@glondu.net>
  * Move source files to src/ directory

Sun May 25 13:08:36 CEST 2008  Stephane Glondu <steph@glondu.net>
  * Set up build system

Sun May 25 13:03:49 CEST 2008  Stephane Glondu <steph@glondu.net>
  * Fix relay example

Sun May 25 12:52:03 CEST 2008  Stephane Glondu <steph@glondu.net>
  * README, COPYING, LICENSE

Sun May 25 01:21:45 CEST 2008  Stephane Glondu <steph@glondu.net>
  * Source file headers

Sat May 24 20:07:48 CEST 2008  Stephane Glondu <steph@glondu.net>
  * Initial import from Ocsigen repository
